Subject: Re: best way to fastforward all tracking branches after a fetch

From: Gelonida N <[email-masked]>
Date: Sun, 11 Dec 2011 21:27:09 +0100

On 12/11/2011 09:14 PM, Stefan Haller wrote:
> Gelonida N <[email-masked]> wrote:
> 
>> What is the best way to fastforward all fastforwardable tracking
>> branches after a git fetch?
> 
> Here's a script that does this.  It isn't very well tested, I hope I
> didn't miss any edge cases. Use at your own risk.
> 
> (It doesn't fastforward the branch you're on, on the assumtion that if
> you said git fetch instead of git pull, you probably had a reason.)

Agreed. it might be reasonable to ignore the current branch if it wasn't
pulled.

Thanks a lot for the script. I will play with it.